Important
Helios features are now enabled during weekly update windows and are no longer directly tied to SingleStore engine releases. Refer to the release notes to view the latest features available in your Helios cluster.
ping
On this page
Endpoint URL
/ping
HTTP Method
GET
Description
Verifies that the HTTP service is running and connectable.
Note: To verify that the database can receive queries or check specific health metrics, use the /exec and /query endpoints.
Request Headers
The GET /ping request does not require any request headers.
Request Body
The GET /ping request does not require a request body.
Response
Successful requests return pong as the response along with the HTTP status code 200 OK.
Example (Shell)
To make the GET /ping request using cURL, run the cURL command followed by the target URL without any additional parameters.
HTTP Request
curl https://svc-10444e3f-afeb-46be-b186-a8c64b99f726-dml.aws-ireland-1.svc.singlestore.com/ping
HTTP Response
pong
Last modified: